package solatium.interfaces;

public class Customer implements User {

    private final String username;
    private final String password;
    private int errorCounter;

    public Customer(String username, String password, int errorCounter) {
        this.username = username;
        this.password = password;
        this.errorCounter = errorCounter;
    }

    @Override
    public String getUserName() {
        return username;
    }

    @Override
    public String getPassword() {
        return password;
    }

    @Override
    public int getErrorCounter() {
        return errorCounter;
    }

    @Override
    public int addErrorCounter() {
        return ++errorCounter;
    }

    @Override
    public boolean isBlocked() {
        return errorCounter >= 3;
    }
}
