package solatium.interfaces;

import org.junit.Test;

import static org.junit.Assert.*;

public class CustomerTest {
    @Test
    public void shouldIsBlocked() {
        Customer customer = new Customer("username", "password", 3);
        assertTrue(customer.isBlocked());
    }

    @Test
    public void shouldIsNotBlocked() {
        Customer customer = new Customer("username", "password", 0);
        assertFalse(customer.isBlocked());
    }

    @Test
    public void shouldAddErrorCounter() {
        Customer customer = new Customer("username", "password", 0);
        assertEquals(1, customer.addErrorCounter());
    }

    @Test
    public void shouldGetErrorCounter() {
        Customer customer = new Customer("username", "password", 0);
        assertEquals(0, customer.getErrorCounter());
        customer.addErrorCounter();
        assertEquals(1, customer.getErrorCounter());
    }
}